module TrackTest exposing (specs)
import Fixtures

import Track exposing (Track, Point)
import Test exposing (..)
import Expect exposing (Expectation)
import Time

specs: Test
specs =
    describe "XML Parsing"
        [ test "it runs" <|
              \_ ->
              let
                  r = Track.parse Fixtures.threepoints
                  expected =
                      [ (Point 51.600643 -0.01856  64.8 (Time.millisToPosix 1729669252256))
                      , (Point 51.600679 -0.018179  65.5 (Time.millisToPosix 1729669255259))
                      , (Point 51.600697 -0.018064 66.2 (Time.millisToPosix 1729669256231))
                      ]

              in
                  case r of
                      (Ok trk) -> Expect.equalLists expected trk
                      _ -> Expect.fail "not ok"
        ]
